%define distrib MiracleLinux
%define name	libiconv
%define	ver	1.12
%define rel	1
%define	prefix	/usr/local

Summary: libiconv - character set conversion library
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Development/Libraries
License: LGPL
Source: ftp://ftp.ilog.fr/pub/Users/haible/gnu/libiconv-%{ver}.tar.gz
Serial: 2009021001
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
Docdir: %{prefix}/doc
Patch: libiconv-1.12-ja-4.patch
#NoSource: 0


%description
libiconv library provides an iconv() implementation, for use on
systems which don't have one, or whose implementation cannot convert
from/to Unicode.

libiconv provides support for the encodings:
European languages
  ASCII, ISO-8859-{1,2,3,4,5,7,9,10,13,14,15,16},
  KOI8-R, KOI8-U, KOI8-RU,
  CP{1250,1251,1252,1253,1254,1257}, CP{850,866},
  Mac{Roman,CentralEurope,Iceland,Croatian,Romania},
  Mac{Cyrillic,Ukraine,Greek,Turkish},
  Macintosh
Semitic languages
  ISO-8859-{6,8}, CP{1255,1256}, Mac{Hebrew,Arabic}
Japanese
  EUC-JP, SHIFT-JIS, CP932, ISO-2022-JP, ISO-2022-JP-2, ISO-2022-JP-1
Chinese
  EUC-CN, HZ, GBK, EUC-TW, BIG5, CP950, ISO-2022-CN, ISO-2022-CN-EXT
Korean
  EUC-KR, CP949, ISO-2022-KR
Armenian
  ARMSCII-8
Georgian
  Georgian-Academy, Georgian-PS
Thai
  TIS-620, CP874, MacThai
Laotian
  MuleLao-1, CP1133
Vietnamese
  VISCII, TCVN, CP1258
Platform specifics
  HP-ROMAN8, NEXTSTEP
Full Unicode
  UTF-8, UCS-2, UCS-2BE, UCS-2LE, UCS-4, UCS-4BE, UCS-4LE,
  UTF-16, UTF-16BE, UTF-16LE, UTF-7, JAVA
Full Unicode, in terms of `uint16_t' or `uint32_t'
  (with machine dependent endianness and alignment)
   UCS-2-INTERNAL, UCS-4-INTERNAL


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/share
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man3
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /usr/lib/libiconv.so ]; then
  rm -f /usr/lib/libiconv*
fi

#%post
#cp -d /opt/libiconv/lib/libiconv* /usr/lib/

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING COPYING.LIB ChangeLog DESIGN INSTALL.generic NEWS NOTES PORTS README README.djgpp README.woe32 THANKS
%{prefix}/lib/*
%{prefix}/include/*
%{prefix}/bin/*
%{prefix}/share/doc/*
%{prefix}/share/locale/*
%{prefix}/share/man/man1/*
%{prefix}/share/man/man3/*

%changelog
* Tue Feb 10 2009 Oota Toshiya <ribbon@samba.gr.jp>
- updated to 1.12

* Tue Jul 22 2003 ODAGIRI Koji <odagiri@samba.gr.jp>
- EUCJP-MS support

* Tue Sep 19 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>                  
- rewrite spec file for FHS 2.1                                              

* Fri Aug 11 2000 SL Baur  <steve@turoblinux.co.jp>
- fixes for rpm-4

* Thu Jul 27 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- deleted /usr/include/iconv.h (conflicts with glibc-devel) (#1120)

* Tue Jun 6 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file
- updated to 1.3

* Thu Mar 30 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- initial package
